Last Comment Bug 669112 - Intermittent test_partial.js | test failed (with xpcshell return code: 1) from "###!!! ASSERTION: op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0" or "###!!! ASSERTION: RECURSION_LEVEL(table_) > 0"
: Intermittent test_partial.js | test failed (with xpcshell return code: 1) fro...
Status: RESOLVED FIXED
: intermittent-failure
Product: Toolkit
Classification: Components
Component: Safe Browsing (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-07-03 18:48 PDT by Phil Ringnalda (:philor)
Modified: 2014-05-27 12:25 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (1018 bytes, patch)
2011-07-05 09:45 PDT, Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
no flags Details | Diff | Splinter Review
Patch (1.07 KB, patch)
2011-07-05 10:14 PDT, Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
josh: review-
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2011-07-03 18:48:36 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309740255.1309742023.17538.gz
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011/07/03 17:44:15
s: talos-r3-fed64-022

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
>>>>>>>
...
TEST-PASS | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | [null : 95] 1 == 1
###!!! ASSERTION: op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0: 'op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0', file /builds/slave/m-in-lnx64-dbg/build/obj-firefox/xpcom/build/pldhash.c, line 612
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x01E18D23]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x009881EB]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x009872C5]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x00982749]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x0098A12B]
NS_InvokeByIndex_P+0x00000256 [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x01EAEEA1]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x0170A220]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x01707ED3]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x01707D7E]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x01715B46]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x02321D91]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x0231EBC4]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x025949BE]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x0231E96A]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x0231ED3C]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x0229F87A]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x0231F300]
JS_CallFunctionValue+0x00000179 [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x02280E18]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x016FD4B2]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x016F3C76]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x01EAFD52]
UNKNOWN [/home/cltbld/talos-slave/test/build/firefox/libxul.so +0x01EAEF0F]
###!!! ASSERTION: op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0: 'op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0', file /builds/slave/m-in-lnx64-dbg/build/obj-firefox/xpcom/build/pldhash.c, line 612
<<<<<<<
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)

Crash reason:  SIGABRT
Crash address: 0x1f400003488

Thread 0 (crashed)
 0  libc-2.11.so + 0x326b5
    rbx = 0x00000028   r12 = 0xe422c200   r13 = 0x00000000   r14 = 0xe4262500
    r15 = 0x01c20470   rip = 0xd2e326b5   rsp = 0xb3e022b8   rbp = 0xb3e02400
    Found by: given as instruction pointer in context
 1  libc-2.11.so + 0x33e94
    rip = 0xd2e33e95   rsp = 0xb3e022c0
    Found by: stack scanning
 2  libc-2.11.so + 0x6b07
    rip = 0xd2e06b08   rsp = 0xb3e022f8
    Found by: stack scanning
 3  ld-2.11.so + 0xdb7f
    rip = 0xd280db80   rsp = 0xb3e02350
    Found by: stack scanning
Comment 1 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-07-03 18:54:09 PDT
So, am I right in thinking that this is off-main-thread pref service initialization, and that the safebrowsing service needs to initialize prefs on the main thread?
Comment 2 Josh Matthews [:jdm] 2011-07-03 19:04:42 PDT
Sounds reasonable to me.
Comment 3 Treeherder Robot 2011-07-03 20:46:25 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309748016.1309750119.14702.gz
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011/07/03 19:53:36

s: talos-r3-fed64-015
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 4 Treeherder Robot 2011-07-04 12:41:49 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1309805312.1309807746.4577.gz
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2011/07/04 11:48:32

s: talos-r3-fed64-013
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 5 Treeherder Robot 2011-07-04 13:50:40 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309809560.1309811350.20973.gz
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011/07/04 12:59:20

s: talos-r3-fed64-019
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 6 Treeherder Robot 2011-07-04 13:50:49 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309809560.1309811350.20973.gz
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011/07/04 12:59:20

s: talos-r3-fed64-019
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 7 Treeherder Robot 2011-07-04 16:37:44 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1309819793.1309821694.31602.gz
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2011/07/04 15:49:53

s: talos-r3-fed64-053
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 8 Treeherder Robot 2011-07-04 20:17:35 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309828126.1309829870.32103.gz
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2011/07/04 18:08:46

s: talos-r3-fed-028
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 9 Treeherder Robot 2011-07-05 03:39:34 PDT
Ms2ger%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309859180.1309861666.12749.gz
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2011/07/05 02:46:20

s: talos-r3-xp-038
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 10 Treeherder Robot 2011-07-05 03:40:43 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309859180.1309861666.12749.gz
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2011/07/05 02:46:20

s: talos-r3-xp-038
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 11 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-07-05 09:45:25 PDT
Created attachment 543978 [details] [diff] [review]
Patch
Comment 12 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-07-05 10:14:05 PDT
Created attachment 543986 [details] [diff] [review]
Patch

Er, I'm an idiot, I put this in the wrong method.
Comment 13 Josh Matthews [:jdm] 2011-07-05 10:22:41 PDT
Comment on attachment 543986 [details] [diff] [review]
Patch

As established on IRC, we need to avoid prefservice usage on non-main threads.
Comment 14 Treeherder Robot 2011-07-05 20:56:26 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309920586.1309922287.2767.gz
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011/07/05 19:49:46

s: talos-r3-fed64-033
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 15 Treeherder Robot 2011-07-05 21:26:44 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309921245.1309923861.10947.gz
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2011/07/05 20:00:45

s: talos-r3-xp-034
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 16 Treeherder Robot 2011-07-05 22:19:03 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309924829.1309927465.28256.gz
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2011/07/05 21:00:29

s: talos-r3-xp-040
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 17 Treeherder Robot 2011-07-06 07:32:28 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309960468.1309962292.29749.gz
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011/07/06 06:54:28

s: talos-r3-fed64-045
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 18 Treeherder Robot 2011-07-06 10:10:22 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1309965636.1309968653.1913.gz
Rev3 WINNT 5.1 mozilla-central debug test xpcshell on 2011/07/06 08:20:36

s: talos-r3-xp-043
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 19 Treeherder Robot 2011-07-06 17:58:42 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309998142.1309999825.20008.gz
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011/07/06 17:22:22

s: talos-r3-fed64-046
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_addsub.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_addsub.js | application crashed (minidump found)
Thread 0 (crashed)
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/url-classifier/tests/unit/test_partial.js | application crashed (minidump found)
Thread 9 (crashed)
Comment 20 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-07-06 18:19:29 PDT
Should be fixed on central by backout.
Comment 21 Treeherder Robot 2011-07-07 17:32:20 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Aurora/1310077774.1310080582.21807.gz
Rev3 WINNT 5.1 mozilla-aurora debug test xpcshell on 2011/07/07 15:29:34

s: talos-r3-xp-015
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 22 Treeherder Robot 2011-07-12 14:20:45 PDT
Jan de Mooij
http://tinderbox.mozilla.org/showlog.cgi?log=Jaegermonkey/1310498570.1310501344.28636.gz
Rev3 WINNT 5.1 jaegermonkey debug test xpcshell on 2011/07/12 12:22:50

s: talos-r3-xp-012
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\url-classifier\tests\unit\test_partial.js | application crashed (minidump found)
Thread 0 (crashed)

Note You need to log in before you can comment on or make changes to this bug.